Index: Gruntfile.js
===================================================================
--- Gruntfile.js	(revision 8388)
+++ Gruntfile.js	(working copy)
@@ -5,18 +5,36 @@
 	SOURCE_DIR = 'src/',
 	BUILD_DIR  = 'build/',

-	BP_CSS = [
-		'bp-activity/admin/css/*.css',
-		'bp-core/admin/css/*.css',
-		'bp-core/css/*.css',
-		'bp-groups/admin/css/*.css',
-		'bp-members/admin/css/*.css',
-		'bp-messages/css/*.css',
-		'bp-templates/bp-legacy/css/*.css',
-		'bp-xprofile/admin/css/*.css',
-		'!**/*-rtl.css'  // Exclude RTL files
+	BP_LTR_CSS = [
+		'bp-activity/admin/css/admin.css',
+		'bp-core/admin/css/common.css',
+		'bp-core/css/admin-bar.css',
+		'bp-core/css/buddybar.css',
+		'bp-groups/admin/css/admin.css',
+		'bp-members/admin/css/admin.css',
+		'bp-messages/css/autocomplete/jquery.autocompletefb.css',
+		'bp-templates/bp-legacy/css/buddypress.css',
+		'bp-themes/bp-default/editor-style.css',
+		'bp-themes/bp-default/_inc/css/default.css',
+		'bp-themes/bp-default/_inc/css/responsive.css',
+		'bp-xprofile/admin/css/admin.css'
 	],

+	BP_RTL_CSS = [
+		'bp-activity/admin/css/admin-rtl.css',
+		'bp-core/admin/css/common-rtl.css',
+		'bp-core/css/admin-bar-rtl.css',
+		'bp-core/css/buddybar-rtl.css',
+		'bp-groups/admin/css/admin-rtl.css',
+		'bp-members/admin/css/admin-rtl.css',
+		'bp-messages/css/autocomplete/jquery.autocompletefb-rtl.css',
+		'bp-templates/bp-legacy/css/buddypress-rtl.css',
+		'bp-themes/bp-default/editor-style-rtl.css',
+		'bp-themes/bp-default/_inc/css/default-rtl.css',
+		'bp-themes/bp-default/_inc/css/responsive-rtl.css',
+		'bp-xprofile/admin/css/admin-rtl.css'
+	],
+
 	BP_JS = [
 		'bp-activity/admin/js/*.js',
 		'bp-core/js/*.js',
@@ -80,16 +99,16 @@
 		cssjanus: {
 			core: {
 				expand: true,
-				cwd: SOURCE_DIR,
-				dest: SOURCE_DIR,
+				cwd: BUILD_DIR,
+				dest: BUILD_DIR,
 				ext: '-rtl.css',
-				src: BP_CSS,
+				src: BP_LTR_CSS,
 				options: { generateExactDuplicates: true }
 			},
 			dynamic: {
 				expand: true,
-				cwd: SOURCE_DIR,
-				dest: SOURCE_DIR,
+				cwd: BUILD_DIR,
+				dest: BUILD_DIR,
 				ext: '-rtl.css',
 				src: [],
 				options: { generateExactDuplicates: true }
@@ -191,7 +210,7 @@
 				dest: BUILD_DIR,
 				expand: true,
 				ext: '.min.css',
-				src: BP_CSS,
+				src: BP_LTR_CSS,
 				options: { banner: '/*! https://wordpress.org/plugins/buddypress/ */' }
 			},
 			rtl: {
@@ -199,9 +218,7 @@
 				dest: BUILD_DIR,
 				expand: true,
 				ext: '.min.css',
-				src: BP_CSS.map( function( filename ) {
-					return filename.replace( '.css', '-rtl.css' );
-				}),
+				src: BP_RTL_CSS,
 				options: { banner: '/*! https://wordpress.org/plugins/buddypress/ */' }
 			}
 		},
@@ -231,7 +248,7 @@

 		watch: {
 			css: {
-				files: BP_CSS,
+				files: BP_LTR_CSS,
 				tasks: ['less:core'],
 				options: {
 					spawn: false
